{"title":"Get items (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_item_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_item_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_item_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Gets an item object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get items (v1.0)","slug":"get-items-v10","at":0,"chars":1746},{"level":2,"title":"HTTP request","slug":"http-request","at":101,"chars":204},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":305,"chars":79},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":384,"chars":69},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":453,"chars":125},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":578,"chars":933},{"level":2,"title":"Related information","slug":"related-information","at":1511,"chars":235}],"text":"# Get items (v1.0)\nRetrieve the properties and relationships of an item object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/items({id})\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body (v1.0)\nDo not supply a request body for this method.\n## Response (v1.0)\nIf successful, this method returns a ```200 OK``` response code and an items object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nGET https://graph.microsoft.com/v1.0businesscentralPrefix/companies({id})/items({id})\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n  \"id\": \"id-value\",\n  \"number\": \"1896-S\",\n  \"displayName\": \"ATHENS Desk\",\n  \"type\": \"Inventory\",\n  \"blocked\": false,\n  \"baseUnitOfMeasureId\": \"id-value\",\n  \"baseUnitOfMeasure\": {\n    \"unitCode\": \"PCS\",\n    \"unitName\": \"Piece\",\n    \"symbol\": \"\",\n    \"unitConversion\": null\n  },\n  \"gtin\": \"\",\n  \"itemCategory\": {\n    \"categoryId\": \"TABLE\",\n    \"description\": \"Assorted Tables\"\n  },\n  \"inventory\": 0,\n  \"unitPrice\": 1000.8,\n  \"priceIncludesTax\": false,\n  \"unitCost\": 780.7,\n  \"taxGroupId\": \"id-value\",\n  \"taxGroupCode\": \"FURNITURE\",\n  \"lastModifiedDateTime\": \"2017-03-07T00:35:30.073Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../dynamics_error_codes\n../resources/dynamics_item\nPost Item<dynamics_create_item>\nPatch Item<dynamics_item_update>\ndynamics_item_delete"}